package Flier_Match.FMServidor;

import java.util.ArrayList;

/**
 * Se encarga de publicar en la cola de cambios de cada cliente el nuevo cambio generado
 * 
 * @author Luis E. Rocha
 *
 */
public class PublicadorCambios {

	private ArrayList conexiones;
	
	
	public PublicadorCambios (ArrayList atenciones) {
		conexiones=atenciones;
	}
	
	/**
	 * Publica el cambio en todas las conexiones clientes
	 * 
	 * @param id es el id del tipo de cambio generado (5=mensaje de Chat)
	 * @param ob es un objeto usado para la ejecucion de dicho cambio
	 */
	private void publicar (int id, Object ob) {
		for (int i=0;i<conexiones.size();i++) {
			Atencion A=(Atencion)conexiones.get(i);
			A.setCambio(id, ob);
		}
	}

	
	public void setCambio (int id, Object ob) {
		publicar (id, ob);
	}
	
}
