package Flier_Match.FMCliente.motion;

import com.threed.jpct.Object3D;
import com.threed.jpct.SimpleVector;

public class Bullet extends Object3D{

	private Object3D modelo;
	
	private float velocidad;
	private int danio;
	private String sonidoInicio;
	private String sonidoImpacto;
	private String sonidoVuelo;
	
	private String animacionImpacto;
	
	private int tipo;
	
	public static int BULLET_MISIL1=3;
	public static int BULLET_MISIL2=4;
	public static int BULLET_BALA1=1;
	public static int BULLET_BALA2=2;
	
	public Bullet (Object3D aModelo, float aVelocidad, int aDanio) {
		super (aModelo);
		
		//modelo=aModelo;
		velocidad=aVelocidad;
		danio=aDanio;
	}
	
	public Bullet (Bullet bala) {
		super (bala);
		velocidad=bala.getVelocidad();
		danio=bala.getDanio();
	}
	
	public void setSounds (String aSInicio, String aSImpacto, String aSVuelo) {
		sonidoInicio=aSInicio;
		sonidoImpacto=aSImpacto;
		sonidoVuelo=aSVuelo;
	}
	
	public void setAnimacion (String aAImpacto) {
		animacionImpacto=aAImpacto;
	}
	
	public void setTipo (int aTipo) {
		tipo=aTipo;
	}
	
	public int getTipo () {
		return tipo;
	}
	
	public String getSonidoImpacto () {
		return sonidoImpacto;
	}
	
	public String getSonidoInicio () {
		return sonidoInicio;
	}
	
	public String getSonidoVuelo () {
		return sonidoVuelo;
	}
	
	public String getAnimacionVuelo () {
		return animacionImpacto;
	}
	
	public int getDanio () {
		return danio;
	}
	
	public float getVelocidad () {
		return velocidad;
	}
	
}
