/*
 * ListaRed.java
 *
 * Created on 20 de marzo de 2006, 15:02
 */

package Flier_Match.FMRed;
import com.threed.jpct.*;
/**
 *
 * @author  Administrador
 * @version 
 */
public class ListaRed implements java.io.Serializable{
    public String mensaje;
    public int id;
    public NodoRed inicio;
    /** Creates new ListaRed */
    public ListaRed() {
        id=0;
        mensaje="";
    }
    
    public ListaRed(ListaRed info) {
        id=info.id;
        mensaje=info.mensaje;
        NodoRed t=info.inicio;
        while (t!=null) {
            NodoRed temp=insertar (t.getNick (), t.getVida (), t.getPosicion (), t.getDireccion ());
            temp.setId (t.getId ());
            t=t.sig;
        }
    }
    
    public NodoRed insertar (String anick, int avida, SimpleVector apos, Direccion adir) {
        NodoRed nuevo=new NodoRed (anick, avida, apos, adir);
        nuevo.sig=inicio;
        inicio=nuevo;
        id++;
        nuevo.setId (id);
        return nuevo;
    }
    
    /**
     * Elimina el nodo con el id pasado por parametro del listado de jugadores
     * @param aid el id del nodo a eliminar
     */
    public void eliminar (int aid) {
        NodoRed temp=inicio;
        NodoRed anterior=null;
        if (inicio.getId ()==aid) {
            inicio=inicio.sig;
            temp=null;
        } else {
            while (temp.getId()!=aid && temp.sig!=null) {  
                anterior=temp;
                temp=temp.sig;
            }
            if (temp.getId()==aid) {
                if (temp!=inicio) {
                    anterior.sig=temp.sig;
                    temp=null;
                }
            }
            else System.out.println ("No se ha encontrado la nave para eliminar");
        }
        
    }
    
    public NodoRed buscar (int aid) {
        NodoRed temp=inicio;
        while (temp!=null) {  
            if (temp.getId()==aid) return temp; 
            temp=temp.sig;
        }
        return null;
    }
    
    public void mover (int aid, World mundo) {
    	
        NodoRed temp=inicio;
        int i=1;
        while (temp!=null) {
        	try {
        		if (temp.getId ()!=aid) temp.mover (mundo);
        	} catch (Exception E) {
        		System.out.println ("Error "+E.getMessage()+" moviendo al cliente: "+aid);
        	}
            
            temp=temp.sig;
            i++;
        }
        //System.out.println ("Se ha movido i naves incluyendo la suya");
    }
    
    /*
     * Esto es algo parecido al publicador de cammbios que se debe implementar despues
     * obtiene un entero del nodo propio parqa devolver y la fuente la iguala a uno
     */
    public int obtenerAccion (int idIndividual) {
        NodoRed temp=inicio;
        while (temp!=null) {
            if (idIndividual==temp.getId ()) {
                int cambioTemp=temp.cambio;
                temp.cambio=1;
                return cambioTemp;
            }
            temp=temp.sig;
        }
        return -1;
    }
    
    public void cambiosNodo (int idIndividual, int cid) {//cambia el nodo identificado por el parametro
        NodoRed temp=inicio;
        while (temp!=null && temp.getId ()!=idIndividual) {
            temp=temp.sig;
        }
        if (temp!=null) {
            temp.cambio=cid;
        }
    }
    /*
    public void cambios (int cid) {
        NodoRed temp=inicio;
        while (temp!=null) {
            temp.cambio=cid;
            temp=temp.sig;
        }
    }*/
    
    public void imprimirNombres () {
        NodoRed temp=inicio;
        while (temp!=null) {
            System.out.println ("Nave"+temp.getId ());
            temp=temp.sig;
        }
    }
    
}
